<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( );
}
/**
 * @Packge    : huntar
 * @version   : 1.0
 * @Author    : Vecurosoft
 * @Author URI: https://www.vecurosoft.com/
 */

// demo import file
function huntar_import_files() {

	$demoImg = '<img src="'. HUNTAR_DEMO_DIR_URI  .'screen-image.jpg" alt="'.esc_attr__('Demo Preview Imgae','huntar').'" />';

    return array(
        array(
            'import_file_name'             => esc_html__('Huntar Demo','huntar'),
            'local_import_file'            =>  HUNTAR_DEMO_DIR_PATH  . 'huntar-demo.xml',
            'local_import_widget_file'     =>  HUNTAR_DEMO_DIR_PATH  . 'huntar-widgets-demo.json',
            'local_import_redux'           => array(
                array(
                    'file_path'   =>  HUNTAR_DEMO_DIR_PATH . 'redux_options_demo.json',
                    'option_name' => 'huntar_opt',
                ),
            ),
            'import_notice' => $demoImg,
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'huntar_import_files' );

// demo import setup
function huntar_after_import_setup() {
	// Assign menus to their locations.

	$primary_menu  		= get_term_by( 'name', 'Main Menu', 'nav_menu' );
	$main_menu_left   	= get_term_by( 'name', 'Main Menu Left', 'nav_menu' );
	$main_menu_right   	= get_term_by( 'name', 'Main Menu Right', 'nav_menu' );
	$footer_menu   		= get_term_by( 'name', 'Footer Menu', 'nav_menu' );
	$mobile_menu   		= get_term_by( 'name', 'Mobile Menu', 'nav_menu' );

	set_theme_mod( 'nav_menu_locations', array(
			'primary-menu'   	=> $primary_menu->term_id,
			'main-menu-left'   	=> $main_menu_left->term_id,
			'main-menu-right'   => $main_menu_right->term_id,
			'footer-menu'   	=> $footer_menu->term_id,
			'mobile-menu'   	=> $mobile_menu->term_id,
		)
	);

	// Assign front page and posts page (blog page).
	$front_page_id 	= get_page_by_title( 'Home One' );
	$blog_page_id  	= get_page_by_title( 'Blog' );

	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );
	update_option( 'page_for_posts', $blog_page_id->ID );

    
}
add_action( 'pt-ocdi/after_import', 'huntar_after_import_setup' );


//disable the branding notice after successful demo import
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );

//change the location, title and other parameters of the plugin page
function huntar_import_plugin_page_setup( $default_settings ) {
	$default_settings['parent_slug'] = 'themes.php';
	$default_settings['page_title']  = esc_html__( 'Huntar Demo Import' , 'huntar' );
	$default_settings['menu_title']  = esc_html__( 'Import Demo Data' , 'huntar' );
	$default_settings['capability']  = 'import';
	$default_settings['menu_slug']   = 'huntar-demo-import';

	return $default_settings;
}
add_filter( 'pt-ocdi/plugin_page_setup', 'huntar_import_plugin_page_setup' );

// Enqueue scripts
function huntar_demo_import_custom_scripts(){
	if( isset( $_GET['page'] ) && $_GET['page'] == 'huntar-demo-import' ){
		// style
		wp_enqueue_style( 'huntar-demo-import', HUNTAR_DEMO_DIR_URI.'css/huntar.demo.import.css', array(), '1.0', false );
	}
}
add_action( 'admin_enqueue_scripts', 'huntar_demo_import_custom_scripts' );