<?php
/**
 * @Packge     : Huntar
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

// Block direct access
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Enqueue scripts and styles.
 */
function huntar_essential_scripts() {

    wp_enqueue_style( 'huntar-style', get_stylesheet_uri() ,array(), wp_get_theme()->get( 'Version' ) );

    // google font
    wp_enqueue_style( 'huntar-fonts', huntar_google_fonts() ,array(), null );

    // animate
    wp_enqueue_style( 'animate-css', get_theme_file_uri( '/assets/css/animate.min.css' ) ,array(), '4.3.1' );

    // Bootstrap Min
    wp_enqueue_style( 'bootstrap', get_theme_file_uri( '/assets/css/bootstrap.min.css' ) ,array(), '4.3.1' );

    // Bootstrap rtl Min
    wp_enqueue_style( 'bootstrap', get_theme_file_uri( '/assets/css/bootstrap.rtl.min.css' ) ,array(), '4.3.1' );

    // Flat Icon
    wp_enqueue_style( 'flaticon', get_theme_file_uri( '/assets/css/flaticon.css' ) ,array(), '5.9.0' );

    wp_enqueue_style( 'flaticon-min', get_theme_file_uri( '/assets/css/flaticon.min.css' ) ,array(), '5.9.0' );

    // Font Awesome Five
    wp_enqueue_style( 'fontawesome', get_theme_file_uri( '/assets/css/fontawesome.min.css' ) ,array(), '5.9.0' );

    // Magnific Popup
    wp_enqueue_style( 'magnific-popup', get_theme_file_uri( '/assets/css/magnific-popup.min.css' ), array(), '1.0' );

    // Slick css
    wp_enqueue_style( 'slick', get_theme_file_uri( '/assets/css/slick.min.css' ) ,array(), '4.0.13' );

    // huntar main style
    wp_enqueue_style( 'huntar-main-style', get_theme_file_uri('/assets/css/style.css') ,array(), wp_get_theme()->get( 'Version' ) );

    // Load Js

    wp_enqueue_script( 'popper', get_theme_file_uri( '/assets/js/popper.min.js' ), array('jquery'), '1.0.0', true );
    // Bootstrap
    wp_enqueue_script( 'bootstrap', get_theme_file_uri( '/assets/js/bootstrap.min.js' ), array( 'jquery' ), '4.3.1', true );

    // Bootstrap
    wp_enqueue_script( 'huntar-eocjs-newsticker', get_theme_file_uri( '/assets/js/eocjs-newsticker.js' ), array( 'jquery' ), '4.3.1', true );

    // Isotope
    wp_enqueue_script( 'isototpe-pkgd', get_theme_file_uri( '/assets/js/isotope.pkgd.min.js' ), array( 'jquery' ), '1.0.0', true );

    // jquery-ui
    wp_enqueue_script( 'huntar-jquery-ui', get_theme_file_uri( '/assets/js/jquery-ui.min.js' ), array( 'jquery' ), '1.0.0', true );

    // magnific popup
    wp_enqueue_script( 'jquery-magnific-popup', get_theme_file_uri( '/assets/js/jquery.magnific-popup.min.js' ), array('jquery'), '1.0.0', true );

    // pooper

    // Slick
    wp_enqueue_script( 'slick', get_theme_file_uri( '/assets/js/slick.min.js' ), array('jquery'), '1.0.0', true );


    // wow script
    wp_enqueue_script( 'wow-js', get_theme_file_uri( '/assets/js/wow.min.js' ), array('jquery'), '1.0.0', true );

    // main script
    wp_enqueue_script( 'huntar-main-script', get_theme_file_uri( '/assets/js/main.js' ), array('jquery'), wp_get_theme()->get( 'Version' ), true );

    // comment reply
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'huntar_essential_scripts',99 );


function huntar_block_editor_assets( ) {
    // Add custom fonts.
    wp_enqueue_style( 'huntar-editor-fonts', huntar_google_fonts(), array(), null );
}

add_action( 'enqueue_block_editor_assets', 'huntar_block_editor_assets' );

/*
Register Fonts
*/
function huntar_google_fonts() {
    $font_url = '';
    
    /*
    Translators: If there are characters in your language that are not supported
    by chosen font(s), translate this to 'off'. Do not translate into your own language.
     */
     
    if ( 'off' !== _x( 'on', 'Google font: on or off', 'huntar' ) ) {
        $font_url =  'https://fonts.googleapis.com/css2?family=Farro:wght@300;400;500;700&display>';
    }
    return $font_url;
}