<?php
/**
 * @Packge     : Huntar
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }


    // preloader hook function
    if( ! function_exists( 'huntar_preloader_wrap_cb' ) ) {
        function huntar_preloader_wrap_cb() {
            $preloader_display              =  huntar_opt('huntar_display_preloader');

            if( class_exists('ReduxFramework') ){
                if( $preloader_display ){
                    echo '<div class="preloader">';
                        echo '<button class="vs-btn preloaderCls">'.esc_html__( 'Cancel Preloader', 'huntar' ).'</button>';
                        echo '<div class="preloader-inner">';
                            if( ! empty( huntar_opt( 'huntar_preloader_img','url' ) ) ){
                                echo huntar_img_tag( array(
                                    'url'   => esc_url( huntar_opt( 'huntar_preloader_img','url' ) ),
                                    'class' => 'loader-img',
                                ) );  
                            };
                            echo '<div class="loader-wrap pt-4">';
                                echo '<span class="loader"></span>';
                            echo '</div>';
                        echo '</div>';
                    echo '</div>';
                }
            }else{
                echo '<div class="preloader">';
                    echo '<button class="vs-btn preloaderCls">'.esc_html__( 'Cancel Preloader', 'huntar' ).'</button>';
                    echo '<div class="preloader-inner">';
                        echo '<div class="loader-wrap">';
                            echo '<span class="loader"></span>';
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            }
        }
    }

    // Header Hook function
    if( !function_exists('huntar_header_cb') ) {
        function huntar_header_cb( ) {
            get_template_part('templates/header');
            get_template_part('templates/header-menu-bottom');
        }
    }

    // back top top hook function
    if( ! function_exists( 'huntar_back_to_top_cb' ) ) {
        function huntar_back_to_top_cb( ) {
            $backtotop_trigger = huntar_opt('huntar_display_bcktotop');
            $custom_bcktotop   = huntar_opt('huntar_custom_bcktotop');
            $custom_bcktotop_icon   = huntar_opt('huntar_custom_bcktotop_icon');
            if( class_exists( 'ReduxFramework' ) ) {
                if( $backtotop_trigger ) {
                    if( $custom_bcktotop ) {
                        echo '<!-- Back to Top Button -->';
                        echo '<a href="'.esc_url('#').'" class="scrollToTop scroll-bottom style2">';
                            echo '<i class="'.esc_attr( $custom_bcktotop_icon ).'"></i>';
                        echo '</a>';
                        echo '<!-- End of Back to Top Button -->';
                    } else {
                        echo '<!-- Back to Top Button -->';
                        echo '<a href="'.esc_url('#').'" class="scrollToTop scroll-bottom style2">';
                            echo '<i class="fal fa-arrow-up"></i>';
                        echo '</a>';
                        echo '<!-- End of Back to Top Button -->';
                    }
                }
            }

        }
    }

    // Blog Start Wrapper Function
    if( !function_exists('huntar_blog_start_wrap_cb') ) {
        function huntar_blog_start_wrap_cb() {
            echo '<section class="vs-blog-wrapper space-top space-negative-bottom">';
                echo '<div class="container">';
                    echo '<div class="row">';
        }
    }

    // Blog End Wrapper Function
    if( !function_exists('huntar_blog_end_wrap_cb') ) {
        function huntar_blog_end_wrap_cb() {
                    echo '</div>';
                echo '</div>';
            echo '</section>';
        }
    }

    // Blog Column Start Wrapper Function
    if( !function_exists('huntar_blog_col_start_wrap_cb') ) {
        function huntar_blog_col_start_wrap_cb() {
            if( class_exists('ReduxFramework') ) {
                $huntar_blog_sidebar = huntar_opt('huntar_blog_sidebar');
                if( $huntar_blog_sidebar == '2' && is_active_sidebar('huntar-blog-sidebar') ) {
                    echo '<div class="col-lg-8 order-lg-last">';
                } elseif( $huntar_blog_sidebar == '3' && is_active_sidebar('huntar-blog-sidebar') ) {
                    echo '<div class="col-lg-8">';
                } else {
                    echo '<div class="col-lg-12">';
                }

            } else {
                if( is_active_sidebar('huntar-blog-sidebar') ) {
                    echo '<div class="col-lg-8">';
                } else {
                    echo '<div class="col-lg-12">';
                }
            }
        }
    }
    // Blog Column End Wrapper Function
    if( !function_exists('huntar_blog_col_end_wrap_cb') ) {
        function huntar_blog_col_end_wrap_cb() {
            echo '</div>';
        }
    }

    // Blog Sidebar
    if( !function_exists('huntar_blog_sidebar_cb') ) {
        function huntar_blog_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $huntar_blog_sidebar = huntar_opt('huntar_blog_sidebar');
            } else {
                $huntar_blog_sidebar = 2;
            }
            if( $huntar_blog_sidebar != 1 && is_active_sidebar('huntar-blog-sidebar') ) {
                // Sidebar
                get_sidebar();
            }
        }
    }


    if( !function_exists('huntar_blog_details_sidebar_cb') ) {
        function huntar_blog_details_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $huntar_blog_single_sidebar = huntar_opt('huntar_blog_single_sidebar');
            } else {
                $huntar_blog_single_sidebar = 4;
            }
            if( $huntar_blog_single_sidebar != 1 ) {
                // Sidebar
                get_sidebar();
            }
        }
    }

    // Blog Pagination Function
    if( !function_exists('huntar_blog_pagination_cb') ) {
        function huntar_blog_pagination_cb( ) {
            get_template_part('templates/pagination');
        }
    }

    // Blog Content Function
    if( !function_exists('huntar_blog_content_cb') ) {
        function huntar_blog_content_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $huntar_blog_grid = huntar_opt('huntar_blog_grid');
            } else {
                $huntar_blog_grid = '1';
            }

            if( $huntar_blog_grid == '1' ) {
                $huntar_blog_grid_class = 'col-lg-12';
            } elseif( $huntar_blog_grid == '2' ) {
                $huntar_blog_grid_class = 'col-sm-6';
            } else {
                $huntar_blog_grid_class = 'col-lg-4 col-sm-6';
            }

            echo '<div class="row">';
                if( have_posts() ) {
                    while( have_posts() ) {
                        the_post();
                        echo '<div class="'.esc_attr($huntar_blog_grid_class).'">';
                            get_template_part('templates/content',get_post_format());
                        echo '</div>';
                    }
                    wp_reset_postdata();
                } else{
                    get_template_part('templates/content','none');
                }
            echo '</div>';
        }
    }

    // footer content Function
    if( !function_exists('huntar_footer_content_cb') ) {
        function huntar_footer_content_cb( ) {

            if( class_exists('ReduxFramework') && did_action( 'elementor/loaded' )  ){
                if( is_page() || is_page_template('template-builder.php') ) {
                    $post_id = get_the_ID();

                    // Get the page settings manager
                    $page_settings_manager = \Elementor\Core\Settings\Manager::get_settings_managers( 'page' );

                    // Get the settings model for current post
                    $page_settings_model = $page_settings_manager->get_model( $post_id );

                    // Retrieve the Footer Style
                    $footer_settings = $page_settings_model->get_settings( 'naturo_footer_style' );

                    // Footer Local
                    $footer_local = $page_settings_model->get_settings( 'naturo_footer_builder_option' );

                    // Footer Enable Disable
                    $footer_enable_disable = $page_settings_model->get_settings( 'naturo_footer_choice' );

                    if( $footer_enable_disable == 'yes' ){
                        if( $footer_settings == 'footer_builder' ) {
                            // local options
                            $huntar_local_footer = get_post( $footer_local );
                            echo '<footer>';
                            echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $huntar_local_footer->ID );
                            echo '</footer>';
                        } else {
                            // global options
                            $huntar_footer_builder_trigger = huntar_opt('huntar_footer_builder_trigger');
                            if( $huntar_footer_builder_trigger == 'footer_builder' ) {
                                echo '<footer>';
                                $huntar_global_footer_select = get_post( huntar_opt( 'huntar_footer_builder_select' ) );
                                $footer_post = get_post( $huntar_global_footer_select );
                                echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $footer_post->ID );
                                echo '</footer>';
                            } else {
                                // wordpress widgets
                                huntar_footer_global_option();
                            }
                        }
                    }
                } else {
                    // global options
                    $huntar_footer_builder_trigger = huntar_opt('huntar_footer_builder_trigger');
                    if( $huntar_footer_builder_trigger == 'footer_builder' ) {
                        echo '<footer>';
                        $huntar_global_footer_select = get_post( huntar_opt( 'huntar_footer_builder_select' ) );
                        $footer_post = get_post( $huntar_global_footer_select );
                        echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $footer_post->ID );
                        echo '</footer>';
                    } else {
                        // wordpress widgets
                        huntar_footer_global_option();
                    }
                }
            } else {
                echo '<div class="copyright bg-theme pt-25 pb-25">';
                    echo '<div class="container">';
                        echo '<div class="col-auto text-center">';
                            echo '<div class="copyright-text">';
                                echo '<p class="mb-0 link-inherit fs-16 fw-light text-white">'.sprintf( 'Copyright <i class="fal fa-copyright"></i> %s <a href="%s">%s</a> All Rights Reserved by <a href="%s">%s</a>',date('Y'),esc_url('#'),__( 'Huntar.','huntar' ),esc_url('#'),__( 'Vecuro', 'huntar' ) ).'</p>';
                            echo '</div>';
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            }

        }
    }

    // blog details wrapper start hook function
    if( !function_exists('huntar_blog_details_wrapper_start_cb') ) {
        function huntar_blog_details_wrapper_start_cb( ) {
            echo '<section class="vs-blog-wrapper blog-details space-top space-negative-bottom">';
                echo '<div class="container">';
                    if( is_active_sidebar( 'huntar-blog-sidebar' ) ){
                        $huntar_gutter_class = 'gutters-40';
                    }else{
                        $huntar_gutter_class = '';
                    }
                    echo '<div class="row '.esc_attr( $huntar_gutter_class ).'">';
        }
    }

    // blog details column wrapper start hook function
    if( !function_exists('huntar_blog_details_col_start_cb') ) {
        function huntar_blog_details_col_start_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $huntar_blog_single_sidebar = huntar_opt('huntar_blog_single_sidebar');
                if( $huntar_blog_single_sidebar == '2' && is_active_sidebar('huntar-blog-sidebar') ) {
                    echo '<div class="col-lg-8 order-last">';
                } elseif( $huntar_blog_single_sidebar == '3' && is_active_sidebar('huntar-blog-sidebar') ) {
                    echo '<div class="col-lg-8">';
                } else {
                    echo '<div class="col-lg-12">';
                }

            } else {
                if( is_active_sidebar('huntar-blog-sidebar') ) {
                    echo '<div class="col-lg-8">';
                } else {
                    echo '<div class="col-lg-12">';
                }
            }
        }
    }

    // blog details post meta hook function
    if( !function_exists('huntar_blog_post_meta_cb') ) {
        function huntar_blog_post_meta_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $huntar_display_post_date      =  huntar_opt('huntar_display_post_date');
                $huntar_display_post_views     =  huntar_opt('huntar_display_post_views');
                $huntar_display_post_comment   =  huntar_opt('huntar_display_post_comment');
            } else {
                $huntar_display_post_date      = '1';
                $huntar_display_post_views     = '';
                $huntar_display_post_comment   = '1';
            }

            echo '<!-- Blog Meta -->';
            echo '<div class="blog-meta fs-14 fw-light mb-20">';
                if( $huntar_display_post_views ){
                    echo '<a href="'.esc_url( get_comments_link( get_the_ID() ) ).'"><i class="fal fa-eye"></i>';
                    echo huntar_getPostViews( get_the_ID() );
                    echo esc_html__( ' Views', 'huntar' );
                    echo '</a>';
                }
                
                if( $huntar_display_post_comment ){
                    if( get_comments_number() == 1 ){
                        $comment_text = __( ' Comment', 'huntar' );
                    }else{
                        $comment_text = __( ' Comments', 'huntar' );
                    }
                    echo '<a href="'.esc_url( get_comments_link( get_the_ID() ) ).'"><i class="far fa-comments"></i>'.esc_html( get_comments_number() ).''.$comment_text.'</a>';
                }

                if( $huntar_display_post_date ){
                    echo '<a href="'.esc_url( huntar_blog_date_permalink() ).'"><i class="fal fa-calendar-alt"></i>';
                        echo '<time datetime="'.esc_attr( get_the_date( DATE_W3C ) ).'">'.esc_html( get_the_date() ).'</time>';
                    echo '</a>';
                }
            echo '</div>';

        }
    }

    // blog details share options hook function
    if( !function_exists('huntar_blog_details_share_options_cb') ) {
        function huntar_blog_details_share_options_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $huntar_post_details_share_options = huntar_opt('huntar_post_details_share_options');
            } else {
                $huntar_post_details_share_options = false;
            }
            if( function_exists( 'huntar_social_sharing_buttons' ) && $huntar_post_details_share_options ) {
                echo '<div class="col-auto text-md-end mb-30">';
                echo '<h5 class="share-links-title">'.__( 'Share Now:', 'huntar' ).'</h5>';
                    echo '<div class="social-links">';
                        echo huntar_social_sharing_buttons();
                    echo '</div>';
                    echo '<!-- End Social Share -->';
                echo '</div>';
            }
        }
    }
    
    // blog details author bio hook function
    if( !function_exists('huntar_blog_details_author_bio_cb') ) {
        function huntar_blog_details_author_bio_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $postauthorbox =  huntar_opt( 'huntar_post_details_author_desc_trigger' );
            } else {
                $postauthorbox = '1';
            }
            if( !empty( get_the_author_meta('description')  ) && $postauthorbox == '1' ) {
                echo '<!-- Post Author -->';
                echo '<div class="blog-author d-md-flex align-items-center mb-90">';
                    echo '<!-- Author Thumb -->';
                    echo '<div class="media-img">';
                        echo huntar_img_tag( array(
                            "url"   => esc_url( get_avatar_url( get_the_author_meta('ID'), array(
                            "size"  => 150
                            ) ) ),
                        ) );
                    echo '</div>';
                    echo '<!-- End of Author Thumb -->';
                    echo '<div class="media-body">';
                        echo '<p class="author-degi fs-12 mb-0">'.esc_html__( 'Written by', 'huntar' ).'</p>';
                        echo huntar_heading_tag( array(
                            "tag"   => "h3",
                            "text"  => huntar_anchor_tag( array(
                                "text"  => esc_html( ucwords( get_the_author() ) ),
                                "url"   => esc_url( get_author_posts_url( get_the_author_meta('ID') ) )
                            ) ),
                            'class' => 'author-name text-white',
                        ) );

                        if( ! empty( get_the_author_meta('description') ) ) {
                            echo '<p class="author-text mb-0">';
                                echo esc_html( get_the_author_meta('description') );
                            echo '</p>';
                        }

                        $huntar_social_icons = get_user_meta( get_the_author_meta('ID'), '_huntar_social_profile_group',true );

                        if( is_array( $huntar_social_icons ) && !empty( $huntar_social_icons ) ) {
                            echo '<div class="d-flex gap-2 text-white">';
                            foreach( $huntar_social_icons as $singleicon ) {
                                if( ! empty( $singleicon['_huntar_social_profile_icon'] ) ) {
                                    echo '<a class="icon-btn3 size-40" href="'.esc_url( $singleicon['_huntar_lawyer_social_profile_link'] ).'"><i class="fab '.esc_attr( $singleicon['_huntar_social_profile_icon'] ).'"></i></a>';
                                }
                            }
                            echo '</div>';
                        }
                    echo '</div>';
                echo '</div>';
                echo '<!-- End of Post Author -->';
            }

        }
    }

    // Blog Details Comments hook function
    if( !function_exists('huntar_blog_details_comments_cb') ) {
        function huntar_blog_details_comments_cb( ) {
            if ( ! comments_open() ) {
                echo '<div class="blog-comment-area">';
                    echo huntar_heading_tag( array(
                        "tag"   => "h3",
                        "text"  => esc_html__( 'Comments are closed', 'huntar' ),
                        "class" => "inner-title"
                    ) );
                echo '</div>';
            }

            // comment template.
            if ( comments_open() || get_comments_number() ) {
                comments_template();
            }
        }
    }

    // Blog Details Column end hook function
    if( !function_exists('huntar_blog_details_col_end_cb') ) {
        function huntar_blog_details_col_end_cb( ) {
            echo '</div>';
        }
    }

    // Blog Details Wrapper end hook function
    if( !function_exists('huntar_blog_details_wrapper_end_cb') ) {
        function huntar_blog_details_wrapper_end_cb( ) {
                    echo '</div>';
                echo '</div>';
            echo '</section>';
        }
    }

    // page start wrapper hook function
    if( !function_exists('huntar_page_start_wrap_cb') ) {
        function huntar_page_start_wrap_cb( ) {
            if( is_page( 'cart' ) ){
                $section_class = "vs-cart-wrapper space-top space-negative-bottom";
            }elseif( is_page( 'checkout' ) ){
                $section_class = "vs-checkout-wrapper space-top space-negative-bottom";
            }elseif( is_page('wishlist') ){
                $section_class = "space-top space-negative-bottom";
            }else{
                $section_class = "space-top space-negative-bottom";  
            }
            echo '<section class="'.esc_attr( $section_class ).'">';
                echo '<div class="container">';
                    echo '<div class="row">';
        }
    }

    // page wrapper end hook function
    if( !function_exists('huntar_page_end_wrap_cb') ) {
        function huntar_page_end_wrap_cb( ) {
                    echo '</div>';
                echo '</div>';
            echo '</section>';
        }
    }

    // page column wrapper start hook function
    if( !function_exists('huntar_page_col_start_wrap_cb') ) {
        function huntar_page_col_start_wrap_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $huntar_page_sidebar = huntar_opt('huntar_page_sidebar');
            }else {
                $huntar_page_sidebar = '1';
            }
            if( $huntar_page_sidebar == '2' && is_active_sidebar('huntar-page-sidebar') ) {
                echo '<div class="col-lg-8 order-last">';
            } elseif( $huntar_page_sidebar == '3' && is_active_sidebar('huntar-page-sidebar') ) {
                echo '<div class="col-lg-8">';
            } else {
                echo '<div class="col-lg-12">';
            }

        }
    }

    // page column wrapper end hook function
    if( !function_exists('huntar_page_col_end_wrap_cb') ) {
        function huntar_page_col_end_wrap_cb( ) {
            echo '</div>';
        }
    }

    // page sidebar hook function
    if( !function_exists('huntar_page_sidebar_cb') ) {
        function huntar_page_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $huntar_page_sidebar = huntar_opt('huntar_page_sidebar');
            }else {
                $huntar_page_sidebar = '1';
            }

            if( class_exists('ReduxFramework') ) {
                $huntar_page_layoutopt = huntar_opt('huntar_page_layoutopt');
            }else {
                $huntar_page_layoutopt = '3';
            }

            if( $huntar_page_layoutopt == '1' && $huntar_page_sidebar != 1 ) {
                get_sidebar('page');
            } elseif( $huntar_page_layoutopt == '2' && $huntar_page_sidebar != 1 ) {
                get_sidebar();
            }
        }
    }

    // page content hook function
    if( !function_exists('huntar_page_content_cb') ) {
        function huntar_page_content_cb( ) {
            if(  class_exists('woocommerce') && ( is_woocommerce() || is_cart() || is_checkout() || is_page('wishlist') || is_account_page() )  ) {
                echo '<div class="woocommerce--content">';
            } else {
                echo '<div class="page--content clearfix">';
            }

                the_content();

                // Link Pages
                huntar_link_pages();

            echo '</div>';
            // comment template.
            if ( comments_open() || get_comments_number() ) {
                comments_template();
            }

        }
    }

    if( !function_exists('huntar_blog_post_thumb_cb') ) {
        function huntar_blog_post_thumb_cb( ) {
            if( get_post_format() ) {
                $format = get_post_format();
            }else{
                $format = 'standard';
            }

            $huntar_post_slider_thumbnail = huntar_meta( 'post_format_slider' );

            if( !empty( $huntar_post_slider_thumbnail ) ){
                echo '<div class="blog-img vs-carousel">';
                    foreach( $huntar_post_slider_thumbnail as $single_image ){
                        echo huntar_img_tag( array(
                            'url'   => esc_url( $single_image )
                        ) );
                    }
                echo '</div>';
            }elseif( has_post_thumbnail() && $format == 'standard' ) {
                echo '<!-- Post Thumbnail -->';
                echo '<div class="blog-img">';
                    if( ! is_single() ){
                        echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                    }

                    the_post_thumbnail();

                    if( ! is_single() ){
                        echo '</a>';
                    }
                echo '</div>';
                echo '<!-- End Post Thumbnail -->';
            }elseif( $format == 'video' ){
                if( has_post_thumbnail() && ! empty ( huntar_meta( 'post_format_video' ) ) ){
                    echo '<div class="blog-img">';
                        if( ! is_single() ){
                            echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                        }
                            the_post_thumbnail();
                        if( ! is_single() ){
                            echo '</a>';
                        }
                        echo '<div class="vs-video">';
                            echo '<a href="'.esc_url( huntar_meta( 'post_format_video' ) ).'" class="popup-video play-btn style-1">';
                              echo '<i class="fas fa-play"></i>';
                            echo '</a>';
                        echo '</div>';
                    echo '</div>';
                }elseif( ! has_post_thumbnail() && ! is_single() ){
                    echo '<div class="blog-video">';
                        if( ! is_single() ){
                            echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                        }
                            echo huntar_embedded_media( array( 'video', 'iframe' ) );
                        if( ! is_single() ){
                            echo '</a>';
                        }
                    echo '</div>';
                }
            }elseif( $format == 'audio' ){
                $huntar_audio = huntar_meta( 'post_format_audio' );
                if( ! empty( $huntar_audio ) ){
                    echo '<div class="blog-audio">';
                        echo wp_oembed_get( $huntar_audio );
                    echo '</div>';
                }elseif( ! is_single() ){
                    echo '<div class="blog-audio">';
                        echo wp_oembed_get( $huntar_audio );
                    echo '</div>';
                }
            }

        }
    }

    // blog details post meta hook function
    if( !function_exists('huntar_blog_post_meta_cb') ) {
        function huntar_blog_post_meta_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $huntar_display_post_date =  huntar_opt('huntar_display_post_date');
                $huntar_display_post_views =  huntar_opt('huntar_display_post_views');
                $huntar_display_post_comment =  huntar_opt('huntar_display_post_comment');

            } else {
                $huntar_display_post_date = '1';
                $huntar_display_post_views = '';
                $huntar_display_post_comment = '1';
            }

            echo '<!-- Blog Meta -->';
            echo '<div class="blog-meta text-primary3 mb-30">';
                if( $huntar_display_post_views ){
                    echo '<span><i class="far fa-eye"></i>';
                    echo huntar_getPostViews( get_the_ID() );
                        echo esc_html__( ' Views', 'huntar' );
                    echo '</span>';
                }
                if( $huntar_display_post_comment ){
                    echo '<span><a href="'.esc_url( get_comments_link( get_the_ID() ) ).'"><i class="fal fa-comments"></i>';
                        echo esc_html( get_comments_number() );
                        if( get_comments_number() == '1' ){
                            echo esc_html__( ' Comment', 'huntar' );
                        }else{
                            echo esc_html__( ' Comments', 'huntar' );
                        }
                    echo '</a></span>';
                }
                if( $huntar_display_post_date ){
                    echo '<span><a href="'.esc_url( huntar_blog_date_permalink() ).'"><i class="fal fa-calendar-alt"></i>';
                        echo '<time datetime="'.esc_attr( get_the_date( DATE_W3C ) ).'">'.esc_html( get_the_date() ).'</time>';
                    echo '</a></span>';
                }
            echo '</div>';
        }
    }

    if( !function_exists('huntar_blog_post_content_cb') ) {
        function huntar_blog_post_content_cb( ) {
            $allowhtml = array(
                'p'         => array(
                    'class'     => array()
                ),
                'span'      => array(),
                'a'         => array(
                    'href'      => array(),
                    'title'     => array()
                ),
                'br'        => array(),
                'em'        => array(),
                'strong'    => array(),
                'b'         => array(),
            );
            if( class_exists( 'ReduxFramework' ) ) {
                $huntar_excerpt_length          = huntar_opt( 'huntar_blog_postExcerpt' );
                $huntar_display_post_category   = huntar_opt( 'huntar_display_post_category' );
            } else {
                $huntar_excerpt_length          = '48';
                $huntar_display_post_category   = '1';
            }

            if( class_exists( 'ReduxFramework' ) ) {
                $huntar_blog_admin = huntar_opt( 'huntar_blog_post_author' );
                $huntar_blog_readmore_setting_val = huntar_opt('huntar_blog_readmore_setting');
                if( $huntar_blog_readmore_setting_val == 'custom' ) {
                    $huntar_blog_readmore_setting = huntar_opt('huntar_blog_custom_readmore');
                } else {
                    $huntar_blog_readmore_setting = __( 'Read More', 'huntar' );
                }
            } else {
                $huntar_blog_readmore_setting = __( 'Read More', 'huntar' );
                $huntar_blog_admin = true;
            }
            echo '<!-- blog-content -->';

                do_action( 'huntar_blog_post_thumb' );
                
                echo '<div class="blog-content">';

                    // Blog Post Meta
                    do_action( 'huntar_blog_post_meta' );

                    echo '<!-- Post Title -->';
                    echo '<h3 class="blog-title text-title"><a href="'.esc_url( get_permalink() ).'">'.wp_kses( get_the_title( ), $allowhtml ).'</a></h3>';
                    echo '<!-- End Post Title -->';
 
                    echo '<!-- Post Summary -->';
                        echo huntar_paragraph_tag( array(
                            "text"  => wp_kses( wp_trim_words( get_the_excerpt(), $huntar_excerpt_length, '' ), $allowhtml ),
                            "class" => 'mb-4',
                        ) );

                        if( !empty( $huntar_blog_readmore_setting ) ){
                            echo '<!-- Button -->';
                                echo '<a href="'.esc_url( get_permalink() ).'" class="read-btn">'.esc_html( $huntar_blog_readmore_setting ).' <i class="fal fa-long-arrow-right"></i></a>';
                            echo '<!-- End Button -->';
                        }
                    echo '<!-- End Post Summary -->';
                echo '</div>';
            echo '<!-- End Post Content -->';
        }
    }