<?php
// Block direct access
if( !defined( 'ABSPATH' ) ){
    exit();
}
/**
 * @Packge     : Huntar
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

// enqueue css
function huntar_common_custom_css(){
	wp_enqueue_style( 'huntar-color-schemes', get_template_directory_uri().'/assets/css/color.schemes.css' );

    $CustomCssOpt  = huntar_opt( 'huntar_css_editor' );
	if( $CustomCssOpt ){
		$CustomCssOpt = $CustomCssOpt;
	}else{
		$CustomCssOpt = '';
	}

    $customcss = "";
    
    if( get_header_image() ){
        $huntar_header_bg =  get_header_image();
    }else{
        if( huntar_meta( 'page_breadcrumb_settings' ) == 'page' && is_page() ){
            if( ! empty( huntar_meta( 'breadcumb_image' ) ) ){
                $huntar_header_bg = huntar_meta( 'breadcumb_image' );
            }
        }
    }
    
    if( !empty( $huntar_header_bg ) ){
        $customcss .= ".vs-breadcrumb-wrapper{
            background-image:url('{$huntar_header_bg}')!important;
        }";
    }
    
	// theme color
	$huntarthemecolor = huntar_opt('huntar_theme_color');

    list($r, $g, $b) = sscanf( $huntarthemecolor, "#%02x%02x%02x");

    $huntar_real_color = $r.','.$g.','.$b;
	if( !empty( $huntarthemecolor ) ) {
		$customcss .= ":root {
		  --theme-color: {$huntar_real_color};
		}";
	}

	if( !empty( $CustomCssOpt ) ){
		$customcss .= $CustomCssOpt;
	}

    wp_add_inline_style( 'huntar-color-schemes', $customcss );
}
add_action( 'wp_enqueue_scripts', 'huntar_common_custom_css', 100 );