<?php
    /**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

defined( 'ABSPATH' ) || exit;

global $product;

// Ensure visibility.
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}
?>
<div <?php wc_product_class( array('products-item-box'), $product ); ?>>
<?php
    echo '<div class="product-wrapper product-wrapper3">';
        echo '<div class="product-img image-scale-hover">';
            if( has_post_thumbnail() ){
                echo '<a href="'.esc_url( get_permalink() ).'">';
                    the_post_thumbnail( 'full',array( 'class' => 'w-100' ) );
                echo '</a>';
            }
            if( $product->is_on_sale() && $product->get_type() == 'simple' ) {
                echo '<div class="onsale badge">'.esc_html__( 'Sale', 'huntar' ).'</div>';
            }
            if( $product->is_featured() ) {
                echo '<div class="featured woocommerce-badge badge">'.esc_html__( 'Hot', 'huntar' ).'</div>';
            }
            if( ! $product->is_in_stock() ) {
                echo '<div class="outofstock woocommerce-badge badge">'.esc_html__( 'Stock Out', 'huntar' ).'</div>';
            }
        echo '</div>';
        echo '<div class="products-content text-center pb-35">';
            echo '<h5 class="fs-20 fw-medium"><a class="text-title hover-theme" href="'.esc_url( get_permalink() ).'">'.esc_html( get_the_title() ).'</a>';
            echo '</h5>';
            echo '<span class="product-price">';
                // Product Price
                echo woocommerce_template_loop_price();
            echo '</span>';
            echo '<div class="actions-btn">';
                
                // Cart Button
                woocommerce_template_loop_add_to_cart_two();

                // quick view button
                if( class_exists( 'WPCleverWoosq' ) ){
                    echo do_shortcode('[woosq]');
                }
                // Wishlist Button
                if( class_exists( 'TInvWL_Admin_TInvWL' ) ){
                    echo do_shortcode( '[ti_wishlists_addtowishlist]' );
                }

            echo '</div>';
        echo '</div>';
    echo '</div>';
echo '</div>';